# Obtain host deletion deduction fee - GetUHostRefundPrice

## Overview

Obtain the cost deducted for host deletion. This includes the cost of resources such as the host, disk, snapshot service, EIP, etc.






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUHostRefundPrice`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **UHostIds.N** | string | [Array] UHost Instance ID. See [DescribeUHostInstance](api/uhost-api/describe_uhost_instance) |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **RefundPriceSet** | array[[*UHostRefundPriceSet*](#uhostrefundpriceset)] | Details of Deducted Charges for Host Deletion |**Yes**|

#### Data Model


#### UHostRefundPriceSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **UHostId** | string | UHost Instance ID |**Yes**|
| **Code** | int | Error code for the operation result of the instance. 0 means success. |**Yes**|
| **RefundPrice** | float | Refund amount for instance deletion |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=GetUHostRefundPrice
&Region=cn-zj
&ProjectId=QsUFgUbN
&UHostIds.N=GJgMMTbb
```

### Response Example
    
```json
{
  "Action": "GetUHostRefundPriceResponse",
  "RefundPriceSet": [
    {
      "Code": 2,
      "Message": "lrftRADV",
      "RefundPrice": 6.87196,
      "UHostId": "UrRlsdui"
    }
  ],
  "RetCode": 0
}
```





